// this is a comment.  It won't be sent to the server
//
// remember to boot the server for these to work!


// basic noise SyntheDef -- it will play immediately
// highlight the relevant code and hit COMMAND-RETURN
// remember that COMMAND-. will stop the Synth
// (or you can always halt the server)
SynthDef("mynoise", {
	var noise;
	noise = WhiteNoise.ar(0.5);
	Out.ar(0, noise);
}).play;


// this will load the Synth, but to run it you will need
// to highlight and send the "a.*" commands below
SynthDef("mynoise", {
	var noise;
	noise = WhiteNoise.ar(0.5);
	Out.ar([0, 1], noise);
}).load;

a = Synth("mynoise");
a.run(false);
a.run(true);
a.free;


SynthDef("myfilt", {
	var noise, filt;
	noise = WhiteNoise.ar(0.5);
	filt = Resonz.ar(noise, 500, 0.1, 10);
	Out.ar([0, 1], filt);
}).play;


SynthDef("myfilt2", {
	arg cf = 500.0;
	var noise, filt;
	noise = WhiteNoise.ar(0.5);
	filt = Resonz.ar(noise, cf, 0.1, 10);
	Out.ar([0, 1], filt);
}).load;

a = Synth("myfilt2");
a.set(\cf, 700);
a.set("cf", 300);
a.free;


// the parens () can be used for easy highlighting of
// a block of SC code
(
SynthDef("infilt", {
	arg cf = 500.0;
	var insig, filt;
	insig = AudioIn.ar(1);
	filt = Resonz.ar(insig, cf, 0.1, 10);
	Out.ar([0, 1], filt);
}).play;
)



SynthDef("klangfilt", {
	var insig, filt,
	k = Ref([[300, 450, 900, 1278],
	[1, 0.5, 0.7, 0.9],
		[1, 1, 0.5, 0.3]]);

	insig = AudioIn.ar(1);
	filt = Klank.ar(k, insig);
	Out.ar([0, 1], filt*0.01);
}).play;


SynthDef("klangfilt1", {
	var insig, filt,
	k = [[300, 450, 900, 1278],
		[1, 0.5, 0.7, 0.9],
		[1, 1, 0.5, 0.3]];
	insig = AudioIn.ar(1);
	filt = Klank.ar(`k, insig);
	Out.ar([0, 1], filt*0.01);
}).play;


